/*
contextos generales
*/

body {
    background: #EFF9FF 0% 0% no-repeat padding-box;
    opacity: 1;
}

h1 {
    font-size: 2em;
    color: #0091D6;
    font-weight: bold;
}

h2 {
    font-size: 1.5em;
    color: #888888;
}

h3 {
    font-size: 1.5em;
    color: #0091D6;
    font-weight: bold;
}

h4 {
    font-size: 1.2em;
    color: #888888;
}

label {
    text-align: left;
    letter-spacing: 0px;
    color: #0091D6;
    opacity: 1;
}

input:required:invalid {
    color: #212529;
    background-color: #fff;
    border-color: red;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(255,0,0,0.25);
}

textarea:required:invalid {
    color: #212529;
    background-color: #fff;
    border-color: red;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(255,0,0,0.25);
}

select:required:invalid {
    color: #212529;
    background-color: #fff;
    border-color: red;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(255,0,0,0.25);
}

/* REMOVER LAS FLECHAS DE LOS INPUTS */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

form p {
    font-size: 12px;
}

.link-no-leido a {
    color: #0d6efd;
    text-decoration: none;
    font-weight: bold;
    font-size: 18px;
    display: block;
    width: 100%;
}

.link-leido a {
    color: black;
    text-decoration: none;
    display: block;
    width: 100%;
}

/* LOGIN */

.login-container {
    min-height: 500px;
    max-height: 500px;
    max-width: 350px;
    min-width: 350px;
}

.footer-principal {
    background-color: #a4cd37;
    color: white;
    padding-left: 20px;
    min-height: 50px;
}

.img-login-fondo {
    background-image: url('../img/Foto-Banner-USUARIO.jpg');
    background-size: cover;
}

.box-shadow-container {
    -webkit-box-shadow: 0px 0px 5px 0px rgba(214,214,214,1);
    -moz-box-shadow: 0px 0px 5px 0px rgba(214,214,214,1);
    box-shadow: 0px 0px 5px 0px rgba(214,214,214,1);
}

.login-header {
    background-color: white;
}

.body-login {
    background-color: white;
}

h1.login {
    text-align: left;
    font: normal normal bold 24px/30px Montserrat;
    letter-spacing: 0px;
    color: #0091D6;
    opacity: 1;
}

h2.login {
    text-align: left;
    font: normal normal bold 16px/19px Montserrat;
    letter-spacing: 0px;
    color: #888888;
    opacity: 1;
}

.bg-login {
    height: 768px;
    background: transparent url('../img/imagen 1.jpg') 0% 0% no-repeat padding-box;
    opacity: 1;
    position: relative;
    background-size: contain;
}

.login-bc {
    position: relative;
    top: 60px;
    min-width: 390px;
    max-width: 390px;
    height: 600px;
    min-height: 600px;
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 20px #00000029;
    border-radius: 8px;
    opacity: 1;
}

.login-logo {
    width: 126px;
    height: 117px;
    opacity: 1;
    padding-bottom: 5px;
    padding-left: 10px;
}

.titulo-login {
    position: relative;
    top: 60px;
    left: 24px;
    height: 34px;
}

.subtitulo-login {
    position: relative;
    top: 50px;
    left: 24px;
    height: 19px;
}

.login-controles {
    position: relative;
    top: 50px;
    left: 24px;
}

.login-label {
    display: inline-block;
    text-align: left;
    font: normal normal bold 9px/11px Montserrat;
    letter-spacing: 0px;
    color: #0091D6;
    opacity: 1;
    margin: 0;
}

.login-input {
    display: inline-block;
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border: 1px solid #888888;
    border-radius: 2px;
    opacity: 1;
    text-align: left;
    font: normal normal 11px/14px Montserrat;
    letter-spacing: 0px;
    color: #343434;
    width: 342px;
    opacity: 1;

}

.login-input:focus {
    /*color: #495057;
    background-color: #fff;
    border-color: #9EEA04;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25);*/
    border: 1px solid #9EEA04;
    outline: 0;
}

.btn-login {
    position: relative;
    top: 63px;
    left: 24px;
    width: 100%;
    height: 32px;
    /* UI Properties */
    background: #0091D6 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 10px #00000029;
    border-radius: 5px;
    text-align: center;
    letter-spacing: 0px;
    color: #FFFFFF;
    opacity: 1;
    border: 0;
}

.btn-login-registro {
    position: relative;
    top: 79px;
    left: 24px;
    width: 100%;
    height: 32px;
    /* UI Properties */
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 10px #00000029;
    border: 1px solid #0091D6;
    border-radius: 2px;
    opacity: 1;
    letter-spacing: 0px;
    color: #0091D6;
}

.recuperar-pass {
    position: relative;
    top: 80px;
    left: 24px;
    width: 342px;
    height: 14px;
    /* UI Properties */
    text-align: center;
    font: normal normal 600 11px/14px Montserrat;
    letter-spacing: 0px;
    color: #0091D6;
    opacity: 1;
}

.texto-ayuda-registro {
    position: relative;
    top: 80px;
    left: 24px;
    width: 342px;
    height: 14px;
    /* UI Properties */
    text-align: center;
    font: normal normal 600 11px/14px Montserrat;
    letter-spacing: 0px;
    color: black;
    opacity: 1;
}


/*
Tablas
*/

table>thead>th {
    background-color: #EFF9FF;
}

table>tbody>tr.odd>* {
    background-color: #F8F8F8;
    box-shadow: none !important;
}

table td, table th {
    vertical-align: middle;
}

.padding-0 {
    padding: 0;
}

.content-container {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 10px #00000029;
    border-radius: 4px;
    padding: 10px;
}

/*
DIALOGOS
*/
.dialog-icon {
    font-size: 40px;
}

.dialog-text-description {
    font-size: 1.2em;
}


/*
    personalizar barra navegación...
*/

.icon-back {
    font-size: 3em;
}

.menu-label {
    font-size: 18px;
    font-weight: bold;
    color: white;
}

#sidebar-nav {
    width: 260px;
    height: 100%;
}
.main-container {
    /*padding: 0px;*/
}
.fixed-top-mc {
    position: fixed;
    top: 0;
    width: 100%;
    padding: 0;
    z-index: 1030;
}
.fixed-bottom-mc {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 1030;
}
.content-main-wrapper {
    margin-top: 65px;
    margin-bottom: 65px;
}

.bg-header {
    background-color: #EFF9FF;
}

.bg-left-panel {
    background: #EFF9FF 0% 0% no-repeat padding-box;
}

.salir-elemento {
    padding-right: 260px;
}

.menu-titulo {
    color: #fff;
    font-weight: bold;
    font-size: 1.2em;
}

.nav-item {
    background: #DEDEDE 0% 0% no-repeat padding-box;
    border-radius: 4px;
    text-align: left;
    color: #888888;
    min-height: 41px;
    margin-top: 8px;
    padding-left: 15px;
    font-weight: bold;
}

.navbar-nav .nav-link {
    color: #888888;
    display: flex;
    align-items: center;
    padding-right: 10px;
}

.nav-link-icon {
    padding: 5px;
    font-size: 18px;
}

.menu-link-icon {
    margin-right: 5px;
}

/* ITEM ACTUAL EN EL MENÚ */
.nav-item.current {
    background-color: #FFFFFF;
    border-right-width: 5px;
    border-right-style: solid;
    border-right-color: #9EEA04;
}

.nav-link.current {

}

.nav-link-icon.current {
    background-color: #0091D6;
    color: white;
    border-radius: 2px;
}


.item-accion {
    font-size: 20px;
    margin: 5px;
}

.sidebar-content {
    margin: 10px;
    background: #b4d333 0% 0% no-repeat padding-box;
    box-shadow: 0px 3px 20px #00000029;
    border-radius: 5px;
    opacity: 1;
}


.sidebar-brand {
    padding: 0;
    display: block;
    width: 100%;
    background-color: white;
    margin-bottom: 40px;
}

.img-logo-menu {
    max-width: 150px;
    max-height: 150px;
    transform: translateY(40%);
}

.menu-colapsable-container {
    padding-top: 25%;
}

.menu-colapsable-btn {
    color: white;
    width: 33px;
    transform: translate(-50%);
    font-size: 24px;
    background-color: #0091D6;
    border-radius: 50%;
}

.nav-link:focus, .nav-link:hover {
    color: black;
}

table.dataTable thead .sorting {
    background-image: none;
}
table.dataTable thead .sorting_asc {
    background-image: none;
}

.main-container-top-adj {
    padding: 15px;
}

.navbar-menu-lateral-adj {
    width: 100%;
}

/*
SPINNER DE CARGA...
*/

#load-vfx {
    background-color: white;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 10000;
}

.loader {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid blue;
    width: 70px;
    height: 70px;
    -webkit-animation: spin 1.3s linear infinite; /* Safari */
    animation: spin 1.3s linear infinite;
    position:fixed;
    top:50%;
    left:50%;
    padding:2px;
    z-index: 101;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.ui-widget-overlay {
    background: black;
    opacity: 0.5;
    filter: Alpha(Opacity=.3);
}




/*
MODIFICACIONES BOOTSTRAP
*/
.dialog-btn-close-title {
    border-width: 1px;
    border-color: #0091D6;
    border-radius: 50%;
    border-style: solid;
    background-color: #0091D6;
    color: white;
    width: 35px;
    height: 35px;
    padding: 0;
}

.btn {
    font-weight: bold;
}

.btn-primary {
    color: #fff;
    background-color: #0091D6;
    border-color: #0091D6;
    font-weight: bold;
}

.btn-extend {
    width: 100%;
}

i.fa-window-close {
    color: white;
    background: none;
}

.ui-widget-header {
    background: none !important;
    border: none !important;
}

.ui-dialog-title {
    color: #888888 !important;
}

.ui-dialog-titlebar {
    padding-right: 0 !important;
}

.ui-dialog-title {
    width: 92% !important;
}

.btn-sm1 {
    border-radius: 0.1rem;
    font-size: .75rem;
    padding: 0.2rem 0.5rem;
    width: 90px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.btn-sm2 {
    border-radius: 0.1rem;
    font-size: .75rem;
    padding: 0.2rem 0.5rem;
    width: 140px;
    margin-top: 5px;
    margin-bottom: 5px;
}


/* INICIO */

.inicio-enlace {
    text-decoration: none;
}


/* SEPARADORES  */

.border-form-seccion {
    border: 1px solid;
    border-color: #0091D6;
    border-radius: 15px;
}

.ptar-container {
    border-left-width: thick;
    border-left-style: solid;
    padding-left: 15px;
    border-left-color: lightgray;
}


/**
Estilos rediseño portal inicio...
*/

.inicio-item-container {
    background-color: white;
    border-radius: 10px;
    padding: 15px;
    height: 100%;
}

.inicio-item-logo-container {
    max-width: 70px;
    min-width: 70px;
    display: inline-block;
    margin-right: 10px;
}

.inicio-item-text-container {
    display: inline-block;
}